**Source URL:** https://general.veevavault.dev/sitevault/vault-api/api-reference/26.1/vault-objects/retrieve-object-records.md

# Retrieve Object Records



To retrieve all records for a specific Vault object, use [VQL](/vault-api/api-reference/26.1/vault-query-language-vql) or the [Direct Data API](/vault-api/api-reference/26.1/direct-data/retrieve-available-direct-data-files).

For example, the following VQL query will retrieve all records for a specific object:

<Endpoint path="/api/{version}/query" method="POST"></Endpoint>

## Headers {#headers}

| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` |

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{object_name}` | The object `name__v` field value. For example,`product__v`, `country__v`, `custom_object__c`. |
</FieldTable>

## Body Parameters {#body-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `q` | `SELECT id, name__v FROM {object_name}` where `{object_name}` is the `name__v` field value of the object to retrieve records. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -L 'myvault.veevavault.com/api/v24.3/query' \
--header 'Authorization: {SESSION_ID}' \
--header 'Accept: application/json' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'q=SELECT id, name__v FROM product__v'

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "responseDetails": {
        "pagesize": 1000,
        "pageoffset": 0,
        "size": 26,
        "total": 26
    },
    "data": [
        {
            "id": "00P000000000101",
            "name__v": "WonderDrug"
        },
        {
            "id": "00P000000000102",
            "name__v": "VeevaProm XR"
        },
        {
            "id": "00P000000000201",
            "name__v": "VeevaProm"
        },
        {
            "id": "00P000000000202",
            "name__v": "Cholecap"
        },
        {
            "id": "00P000000000301",
            "name__v": "Restolar"
        },
        {
            "id": "00P000000000303",
            "name__v": "Felinsulin"
        },
        {
            "id": "00P000000000306",
            "name__v": "Labrinone"
        },
        {
            "id": "00P000000000601",
            "name__v": "Nyaxa"
        },
        {
            "id": "00P000000000602",
            "name__v": "Gludacta"
        },
        {
            "id": "00P00000000H002",
            "name__v": "CholeCap"
        }
    ]
}

```
</CodeExample>

---

**Previous:** [Retrieve Object Collection](/sitevault/vault-api/api-reference/26.1/vault-objects/retrieve-object-collection)  
**Next:** [Retrieve Object Record](/sitevault/vault-api/api-reference/26.1/vault-objects/retrieve-object-record)